#!/bin/bash -x
REPO="$PWD/testrepo"
SVND="$PWD/test-svn"
SHGD="$PWD/test-hg"
LC_ALL=C
echo
for i in "$REPO" "$SVND" "$SHGD"
do
	test -d "$i" && rm -rf "$i"
done
echo
svnadmin create "$REPO" 
svn checkout "file://$REPO" "$SVND"
svn mkdir "$SVND/trunk"
touch "$SVND/trunk/file1"
svn add "$SVND/trunk/file1"
svn ci -m "created trunk and added file1" "$SVND"
svn rm "$SVND/trunk"
svn ci -m "removed trunk" "$SVND"
svn mkdir "$SVND/trunk"
touch "$SVND/trunk/file2"
svn add "$SVND/trunk/file2"
svn ci -m "created new trunk and added file2" "$SVND"
echo
hg clone "svn+ssh://localhost/$REPO" "$SHGD"
echo
ls -lah "$SVND/trunk"
ls -lah "$SHGD"
