#!/bin/sh

mkdir temp
cd temp

mkdir -p project-orig/subproject/trunk/app1
mkdir project-orig/subproject/branches

svnadmin create testrepo
svnurl=file://`pwd`/testrepo
svn import project-orig $svnurl -m "init project"

svn checkout $svnurl project
cd project/subproject

svn copy trunk branches/test
svn commit -m "Created branch"

echo "text" >branches/test/app1/text
svn add branches/test/app1/text
svn commit -m "Added text"

svn update
svn merge -r2:HEAD branches/test/app1 trunk/app1
svn delete branches/test
svn commit -m "Merged revisions 2-HEAD from branches/test/app1 to trunk/app1. Branch removed."
cd ../..
svnadmin dump testrepo > ../merge.svndump
