#!/bin/sh

ROOT=`pwd`
SVNREPO=$ROOT/svnrepo
SVNWC=$ROOT/svnwc
TRUNK=$ROOT/svnwc/trunk
HGREPO=$ROOT/hgrepo
SVNURL=file://$SVNREPO

rm -rf `basename $SVNREPO` `basename $SVNWC` `basename $HGREPO`
svnadmin create `basename $SVNREPO`
svn co $SVNURL `basename $SVNWC`
cd $SVNWC
mkdir trunk
mkdir branches
mkdir tags
svn add trunk branches tags
svn ci -m 1

cd $TRUNK
echo hello >a.txt
svn add a.txt
svn ci -m 2

# echo again >>a.txt
# svn ci -m 3

cd $SVNWC
svn copy trunk tags/tag1
svn ci -m tagged

# echo after tag >> trunk/a.txt
# svn ci -m "after tag"

echo == clone by hg
cd $ROOT
hg clone $SVNURL `basename $HGREPO`

echo == add new changeset
cd $HGREPO
echo more >>a.txt
hg ci -m 4

echo == pushing it
hg push
